> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the self information in the context of a repository.

> # Access control rules

- The requester must have access to the repository.



## OpenAPI

````yaml GET /api/v0/repositories/{repo_id}/me
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/repositories/{repo_id}/me:
    get:
      tags:
        - repositories
      summary: Get the self information in the context of a repository.
      description: |-
        # Access control rules

        - The requester must have access to the repository.
      operationId: get_repo_user_self_info
      parameters:
        - name: repo_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: User info in the context of the repository
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RepositoryUserInfo'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '401':
          description: Access not authorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '403':
          description: Access forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '404':
          description: Repository not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Error getting info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    RepositoryUserInfo:
      type: object
      description: User information in the context of a repository.
      required:
        - id
        - name
        - username
        - role
        - earnedBadge
      properties:
        id:
          type: string
          format: uuid
          description: User id.
        name:
          type: string
          description: Name of the user.
        username:
          type: string
          description: Username of the user.
        role:
          $ref: '#/components/schemas/RepositoryRole'
          description: Role of the user in context of the repository.
        pingsLeft:
          type:
            - integer
            - 'null'
          format: int32
          description: |-
            Number of times the reviewer can ping the client.

            For non-reviewers this will be null.
        teamName:
          type:
            - string
            - 'null'
          description: |-
            Name of the team the reviewer is in.

            This will have a value if the user is a reviewer and in a team. This
            will be null if the user is not a reviewer, i.e. a client, judge,
            triager or admin, or the reviewer is not participating with a team.
        teamId:
          type:
            - string
            - 'null'
          format: uuid
          description: |-
            TeamId of the team the reviewer is in.

            Important:
            1. teamId is only set for reviewers.
            2. teamId is **never** null for reviewers.
            3. Even if teamId is set, teamName can be null.
              - this is the case for `solo` teams
        earnedBadge:
          type: boolean
          description: >-
            Reviewer has earned a badge for this repository.


            For admins, judges, triagers and company users this will always be
            false.
        reputation:
          type:
            - integer
            - 'null'
          format: int32
          description: >-
            Reputation of a reviewer, always in the range of `0..=100`.


            For admins, judges, triagers and company users this will always be
            null.
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    RepositoryRole:
      type: string
      description: Role of a user in the context of a repository.
      enum:
        - client
        - reviewer
        - judge
        - triager
        - admin
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error

````